Update Routine
Update a routine; only fields present in the body are changed. A new `agent_id` or `project_id` must belong to this company (404 `NOT_FOUND` otherwise). Publishes `routine.updated` when something changed.
Update a routine; only fields present in the body are changed.
A new agent_id or project_id must belong to this company (404 NOT_FOUND
otherwise). Publishes routine.updated when something changed.
HTTPBearerAuthorizationBearer <token>routine_id*Routine Iduuidcompany_id*Company Iduuidapplication/json- body
agent_id?|nullcron?|nulldescription?string|nullenabled?boolean|nullproject_id?|nulltitle?|nullSuccessful Response
application/json- response
agent_id*Agent Iduuidcreated_at*|nullcron*Crondescription*string|nullenabled*Enabledid*Iduuidlast_run_at*|nullproject_id*|nulltitle*Titlecurl -X PATCH "https://example.com/api/companies/497f6eca-6276-4993-bfeb-53cbbbba6f08/routines/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978", "created_at": "2019-08-24T14:15:22Z", "cron": "string", "description": "string", "enabled": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_run_at": "2019-08-24T14:15:22Z", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "title": "string"}Create Routine POST
Create a routine for an agent in this company. `agent_id` and the optional `project_id` must belong to this company (404 `NOT_FOUND` otherwise). `cron` is stored as given and not validated or scheduled by this API. Publishes `routine.created`.
Delete Routine DELETE
Delete a routine. Runs it created are kept and unlinked from it (`routine_id` becomes null). Publishes `routine.deleted`.